#ifndef ASTRONOMICALOBJECT_H
#define ASTRONOMICALOBJECT_H
#include "allegro5/color.h"
#include "allegro5/allegro_primitives.h"
#include <iostream>


class AstronomicalObject
{
    public:

        AstronomicalObject();
        AstronomicalObject(float xPos, float yPos);

        virtual ~AstronomicalObject();
        float const getXPos(){return m_xPos;};
        float const getYPos(){return m_yPos;};
        void setXPos(float xPos){m_xPos = xPos;};
        void setYPos(float yPos){m_yPos = yPos;};
        virtual void draw() const;

    protected:
        float m_xPos;
        float m_yPos;
        bool m_isAPlanet;
    private:
};

#endif // ASTRONOMICALOBJECT_H
